All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::tools::detail Namespace Reference

Contains implementation details for the tools. Usually not of interest for the library user. More...

## Classes

struct | aux
| Interface for the reference counter inside the shared_ptr. More...
struct | auximpl
| Implementation helper for the reference counting mechanism inside shared_ptr. More...
class | count
| Reference counting class for the shared_ptr implementation. More...
struct | default_deleter
| Default deleter class for a pointer. The default is to just call 'delete' on the pointer. Provide your own implementations for 'delete[]' and 'free'. More...
class | sha1

## Detailed Description

Contains implementation details for the tools. Usually not of interest for the library user.